/**
   Example of using the ListOfString class
   to maintain a list of movie titles.
*/
public class TestList3
{
   public static void main(String[] args)
   {
      List<String> movies = new LinkedList<>();

      movies.add(movies.size(), "movieA");
      movies.add(movies.size(), "movieB");
      movies.add(movies.size(), "movieC");
      movies.add(movies.size(), "movieD");
      movies.add(1, "movieX");
      movies.add(3, "movieW");
      System.out.println( movies.size() );
      System.out.println( movies );
      movies.remove(2);
      System.out.println( movies.size() );
      System.out.println( movies );

      System.out.println("index of \"movieC\" is " + movies.indexOf("movieC") );
      System.out.println("index of \"movieZ\" is " + movies.indexOf("movieZ") );
      System.out.println("\"movieW\": " + movies.contains("movieW"));
      System.out.println("\"movieE\": " + movies.contains("movieE"));

      movies.remove("movieW");
      System.out.println( movies.size() );
      System.out.println( movies );
      movies.add(13, "movieW");
   }
}